commit:     99ee4db4550e4587322faf0c0f69ee0f111f41fa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 11 06:16:36 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 06:16:36 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99ee4db4

dev-python/magic-wormhole: Bump to 0.23.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/magic-wormhole/Manifest                 |  1 +
 .../magic-wormhole/magic-wormhole-0.23.0.ebuild    | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/magic-wormhole/Manifest 
b/dev-python/magic-wormhole/Manifest
index e9df352acc99..8bc2e42f9ddd 100644
--- a/dev-python/magic-wormhole/Manifest
+++ b/dev-python/magic-wormhole/Manifest
@@ -1 +1,2 @@
 DIST magic_wormhole-0.21.0.tar.gz 304220 BLAKE2B 
aa89cd1c88d42d725c57981abd85a59df6dc8e5fa5bf573313517d2eab687d15b1817ea0f8915fa9f4ce31f406064ee2f8f76e85c348e816d38de0dde330daea
 SHA512 
c262b333e4af752c3efb71f0f08065623b4f36bed562b3f4dc47288485e9f789cf423253cc4efbd3b69e07f712545f055ff5fdf8522cca772bdc4c53124294cd
+DIST magic_wormhole-0.23.0.tar.gz 313621 BLAKE2B 
3670b70133e9d844216eb458bff1fa68b645ca76cfe64be0c79794ce37b74cad40b99550f43076339d571b7f9962ddb66f1949c852e5f78e5659d004ed15c11e
 SHA512 
704125bc29274326b27da8ab16c2bd92a98bca07e9b20cbb9fb5e036bb5ad109a28d981a2ea315a05916d7958f4d05148262f2ea49694eb161b8dcbba3a16dac

diff --git a/dev-python/magic-wormhole/magic-wormhole-0.23.0.ebuild 
b/dev-python/magic-wormhole/magic-wormhole-0.23.0.ebuild
new file mode 100644
index 000000000000..ea266851bba4
--- /dev/null
+++ b/dev-python/magic-wormhole/magic-wormhole-0.23.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi shell-completion
+
+DESCRIPTION="Get Things From One Computer To Another, Safely"
+HOMEPAGE="
+       https://magic-wormhole.readthedocs.io/en/latest/
+       https://github.com/magic-wormhole/magic-wormhole/
+       https://pypi.org/project/magic-wormhole/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/autobahn-0.14.1[${PYTHON_USEDEP}]
+       dev-python/automat[${PYTHON_USEDEP}]
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/humanize[${PYTHON_USEDEP}]
+       >=dev-python/iterable-io-1.0.0[${PYTHON_USEDEP}]
+       dev-python/noiseprotocol[${PYTHON_USEDEP}]
+       dev-python/pynacl[${PYTHON_USEDEP}]
+       >=dev-python/qrcode-8.0[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       ~dev-python/spake2-0.9[${PYTHON_USEDEP}]
+       >=dev-python/tqdm-4.13.0[${PYTHON_USEDEP}]
+       dev-python/twisted[ssl,${PYTHON_USEDEP}]
+       >=dev-python/txtorcon-18.0.2[${PYTHON_USEDEP}]
+       >=dev-python/zipstream-ng-1.7.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/versioneer[${PYTHON_USEDEP}]
+       test? (
+               dev-python/magic-wormhole-mailbox-server[${PYTHON_USEDEP}]
+               dev-python/magic-wormhole-transit-relay[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-twisted )
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+       rm versioneer.py || die
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newbashcomp "${ED}/usr/wormhole_complete.bash" wormhole
+       newfishcomp "${ED}/usr/wormhole_complete.fish" wormhole.fish
+       newzshcomp "${ED}/usr/wormhole_complete.zsh" _wormhole
+       rm "${ED}/usr"/wormhole_complete* || die
+}

Reply via email to